サポート » インストール » ダウングレードしたらシンタックスエラーが出た

  • kotoy

    (@kotoy)


    どなたかお助けください。

    2014/12月に4.1にアップグレードしてから調子が悪かったので、本日4.0.1にダウングレードしました。

    wp-contentディレクトリとwp-config.phpと.htaccessはそのままにして
    公式サイトからダウンロードしてきた4.0.1をFTPでアップしました。

    そうして、管理画面にアクセスしたところ
    Parse error: syntax error, unexpected ‘;’ in /[私のサーバーパス]/wordpress/wp-includes/load.php on line 508
    というエラーで画面が真っ白になりました。

    この箇所はプラグイン関連の記述があったので、デフォルト以外のプラグインをすべて削除しました。
    それでも同じエラーが出ました。

    FTPでもう1回load.phpの4.0.1を上書きでアップしたところ、今度は以下のエラーが出ました。
    Parse error: syntax error, unexpected ‘;’ in /[私のサーバーパス]/wordpress/wp-includes/theme.php on line 508

    ここからいくらいじっても同じエラーが出てしまいます。

    同じような症状の方を見つけられず、途方に暮れています。

    お手数ですが、解決の糸口を教えていただけませんでしょうか?

    何卒、よろしくお願いします!

1件の返信を表示中 - 1 - 1件目 (全1件中)
  • モデレーター のむらけい (Kei Nomura)

    (@mypacecreator)

    syntax error, unexpected ';'

    というのは、PHP内の セミコロンの数が合わない時に出力されるエラーです。
    そして、

    /wordpress/wp-includes/theme.php on line 508

    /wordpress/wp-includes/load.php on line 508

    に関しては、必ずしもその箇所に問題があるとは限りません。
    自分で編集したテーマや設定ファイルに問題があって、その結果コアファイルの実行が、エラーメッセージに表示されている箇所で止まってしまったという意味です。

    syntax error, unexpected ~
    が出た場合、9割方、自分で編集したファイルに問題があると考えられます。

    wp-contentディレクトリとwp-config.phpと.htaccessはそのままにして

    とのことですが、そのままにしたこれらの中に原因がある可能性が高いです。

    プラグインはすべてデフォルト状態にしたとのことですので、次はテーマもデフォルトに戻してみてください。

1件の返信を表示中 - 1 - 1件目 (全1件中)
  • トピック「ダウングレードしたらシンタックスエラーが出た」には新たに返信することはできません。